phrSetDumpFileName {phreeqc} | R Documentation

## Set the name of the dump file.

### Description

Sets the name of the dump file. This file name is used if not specified within the DUMP keyword block. The default value is dump.0.out.

### Usage

    phrSetDumpFileName(filename)

### Arguments

`filename` | the name of the file.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Dump: `phrGetDumpFileName`, `phrGetDumpFileOn`, `phrGetDumpStringsOn`, `phrGetDumpStrings`, `phrSetDumpFileOn`, `phrSetDumpStringsOn`

### Examples

    # This example equilibrates pure water with calcite and writes the
    # dump results to file.
    phrLoadDatabaseString(phreeqc.dat)
    phrSetDumpFileOn(TRUE)
    phrSetDumpFileName("phreeqc.dump")
    input <- c(
      'SOLUTION 1 Pure water     ',
      'EQUILIBRIUM_PHASES 1      ',
      '    Calcite 0 10          ',
      'SAVE solution 1           ',
      'SAVE equilibrium_phases 1 ',
      'DUMP                      ',
      '    -solution 1           ',
      '    -equilibrium_phases 1 '
      )

    if (is.null(phrRunString(input))) {
      cat("see", phrGetDumpFileName(), "\n")
    }

[Package phreeqc version 3.4.10 Index]